package com.example.glidedemo_kotlin

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.ImageView
import android.widget.TextView
import com.bumptech.glide.Glide

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // based on https://www.raywenderlich.com/2945946-glide-tutorial-for-android-getting-started

        val ivGlide = findViewById<ImageView>(R.id.ivGlide)
        val tvTitle = findViewById<TextView>(R.id.tvTitle)

        Glide.with(this)  // this activity
            .load("https://resize.hswstatic.com/w_285/gif/glider-comparison.jpg") // url for image to be loaded
            .into(ivGlide) // the ImageView the image should be placed in

        tvTitle.text = "from HowStuffWorks on gliders"
    }
}
